import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { checkBlockIsDefaultType, } from "@blocknote/core";
import { Popover } from "@mantine/core";
import { useEffect, useState } from "react";
import { RiImageEditFill } from "react-icons/ri";
import { useBlockNoteEditor } from "../../../../hooks/useBlockNoteEditor";
import { useSelectedBlocks } from "../../../../hooks/useSelectedBlocks";
import { ImagePanel } from "../../../ImagePanel/mantine/ImagePanel";
import { ToolbarButton } from "../../../mantine-shared/Toolbar/ToolbarButton";
export const ReplaceImageButton = () => {
    const editor = useBlockNoteEditor();
    const selectedBlocks = useSelectedBlocks(editor);
    const [isOpen, setIsOpen] = useState(false);
    useEffect(() => {
        setIsOpen(false);
    }, [selectedBlocks]);
    const block = selectedBlocks.length === 1 ? selectedBlocks[0] : undefined;
    if (block === undefined ||
        block.type !== "image" ||
        !checkBlockIsDefaultType("image", block, editor)) {
        return null;
    }
    return (_jsxs(Popover, { withinPortal: false, opened: isOpen, position: "bottom", children: [_jsx(Popover.Target, { children: _jsx(ToolbarButton, { onClick: () => setIsOpen(!isOpen), isSelected: isOpen, mainTooltip: "Replace Image", icon: RiImageEditFill }) }), _jsx(Popover.Dropdown, { children: _jsx(ImagePanel, { block: block }) })] }));
};
//# sourceMappingURL=ReplaceImageButton.js.map