import { jsx as _jsx } from "react/jsx-runtime";
import { Toolbar } from "../../mantine-shared/Toolbar/Toolbar";
import { BasicTextStyleButton } from "./DefaultButtons/BasicTextStyleButton";
import { ColorStyleButton } from "./DefaultButtons/ColorStyleButton";
import { CreateLinkButton } from "./DefaultButtons/CreateLinkButton";
import { ImageCaptionButton } from "./DefaultButtons/ImageCaptionButton";
import { NestBlockButton, UnnestBlockButton, } from "./DefaultButtons/NestBlockButtons";
import { ReplaceImageButton } from "./DefaultButtons/ReplaceImageButton";
import { TextAlignButton } from "./DefaultButtons/TextAlignButton";
import { BlockTypeSelect, } from "./DefaultSelects/BlockTypeSelect";
export const getFormattingToolbarItems = (blockTypeSelectItems) => [
    _jsx(BlockTypeSelect, { items: blockTypeSelectItems }, "blockTypeSelect"),
    _jsx(ImageCaptionButton, {}, "imageCaptionButton"),
    _jsx(ReplaceImageButton, {}, "replaceImageButton"),
    _jsx(BasicTextStyleButton, { basicTextStyle: "bold" }, "boldStyleButton"),
    _jsx(BasicTextStyleButton, { basicTextStyle: "italic" }, "italicStyleButton"),
    _jsx(BasicTextStyleButton, { basicTextStyle: "underline" }, "underlineStyleButton"),
    _jsx(BasicTextStyleButton, { basicTextStyle: "strike" }, "strikeStyleButton"),
    _jsx(TextAlignButton, { textAlignment: "left" }, "textAlignLeftButton"),
    _jsx(TextAlignButton, { textAlignment: "center" }, "textAlignCenterButton"),
    _jsx(TextAlignButton, { textAlignment: "right" }, "textAlignRightButton"),
    _jsx(ColorStyleButton, {}, "colorStyleButton"),
    _jsx(NestBlockButton, {}, "nestBlockButton"),
    _jsx(UnnestBlockButton, {}, "unnestBlockButton"),
    _jsx(CreateLinkButton, {}, "createLinkButton"),
];
// TODO: props.blockTypeSelectItems should only be available if no children
//  are passed
/**
 * By default, the FormattingToolbar component will render with default
 * selects/buttons. However, you can override the selects/buttons to render
 * by passing children. The children you pass should be:
 *
 * - Default selects: Components found within the `/DefaultSelects` directory.
 * - Default buttons: Components found within the `/DefaultButtons` directory.
 * - Custom selects: The `ToolbarSelect` component in the
 * `components/mantine-shared/Toolbar` directory.
 * - Custom buttons: The `ToolbarButton` component in the
 * `components/mantine-shared/Toolbar` directory.
 */
export const FormattingToolbar = (props) => {
    return (_jsx(Toolbar, { children: props.children || getFormattingToolbarItems(props.blockTypeSelectItems) }));
};
//# sourceMappingURL=FormattingToolbar.js.map