import { jsx as _jsx } from "react/jsx-runtime";
import { flip, offset } from "@floating-ui/react";
import { useBlockNoteEditor } from "../../hooks/useBlockNoteEditor";
import { useUIElementPositioning } from "../../hooks/useUIElementPositioning";
import { useUIPluginState } from "../../hooks/useUIPluginState";
import { ImagePanel } from "./mantine/ImagePanel";
export const ImagePanelController = (props) => {
    const editor = useBlockNoteEditor();
    if (!editor.imagePanel) {
        throw new Error("ImageToolbarController can only be used when BlockNote editor schema contains image block");
    }
    const state = useUIPluginState(editor.imagePanel.onUpdate.bind(editor.imagePanel));
    const { isMounted, ref, style } = useUIElementPositioning(state?.show || false, state?.referencePos || null, 5000, {
        placement: "bottom",
        middleware: [offset(10), flip()],
    });
    if (!isMounted || !state) {
        return null;
    }
    const { show, referencePos, ...data } = state;
    const Component = props.imageToolbar || ImagePanel;
    return (_jsx("div", { ref: ref, style: style, children: _jsx(Component, { ...data }) }));
};
//# sourceMappingURL=ImagePanelController.js.map