import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useBlockNoteEditor } from "../../../../hooks/useBlockNoteEditor";
import { useCallback, useState } from "react";
import { ImagePanelTab } from "../ImagePanelTab";
import { ImagePanelTextInput } from "../ImagePanelTextInput";
import { ImagePanelButton } from "../ImagePanelButton";
export const EmbedTab = (props) => {
    const { block } = props;
    const editor = useBlockNoteEditor();
    const [currentURL, setCurrentURL] = useState("");
    const handleURLChange = useCallback((event) => {
        setCurrentURL(event.currentTarget.value);
    }, []);
    const handleURLEnter = useCallback((event) => {
        if (event.key === "Enter") {
            event.preventDefault();
            editor.updateBlock(block, {
                type: "image",
                props: {
                    url: currentURL,
                },
            });
        }
    }, [editor, block, currentURL]);
    const handleURLClick = useCallback(() => {
        editor.updateBlock(block, {
            type: "image",
            props: {
                url: currentURL,
            },
        });
    }, [editor, block, currentURL]);
    return (_jsxs(ImagePanelTab, { children: [_jsx(ImagePanelTextInput, { placeholder: "Enter URL", value: currentURL, onChange: handleURLChange, onKeyDown: handleURLEnter, "data-test": "embed-input" }), _jsx(ImagePanelButton, { className: "bn-image-panel-button", onClick: handleURLClick, "data-test": "embed-input-button", children: "Embed Image" })] }));
};
//# sourceMappingURL=EmbedTab.js.map