import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Text } from "@mantine/core";
import { useBlockNoteEditor } from "../../../../hooks/useBlockNoteEditor";
import { useCallback, useEffect, useState } from "react";
import { ImagePanelTab } from "../ImagePanelTab";
import { ImagePanelFileInput } from "../ImagePanelFileInput";
export const UploadTab = (props) => {
    const { block, setLoading } = props;
    const editor = useBlockNoteEditor();
    const [uploadFailed, setUploadFailed] = useState(false);
    useEffect(() => {
        if (uploadFailed) {
            setTimeout(() => {
                setUploadFailed(false);
            }, 3000);
        }
    }, [uploadFailed]);
    const handleFileChange = useCallback((file) => {
        if (file === null) {
            return;
        }
        async function upload(file) {
            setLoading(true);
            if (editor.uploadFile !== undefined) {
                try {
                    const uploaded = await editor.uploadFile(file);
                    editor.updateBlock(block, {
                        type: "image",
                        props: {
                            url: uploaded,
                        },
                    });
                }
                catch (e) {
                    setUploadFailed(true);
                }
                finally {
                    setLoading(false);
                }
            }
        }
        upload(file);
    }, [block, editor, setLoading]);
    return editor.uploadFile !== undefined ? (_jsxs(ImagePanelTab, { children: [_jsx(ImagePanelFileInput, { placeholder: "Upload Image", value: null, onChange: handleFileChange }), uploadFailed && (_jsx(Text, { c: "red", size: "12px", children: "Error: Upload failed" }))] })) : null;
};
//# sourceMappingURL=UploadTab.js.map