import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Group, LoadingOverlay, Tabs } from "@mantine/core";
import { useState } from "react";
import { useBlockNoteEditor } from "../../../hooks/useBlockNoteEditor";
import { UploadTab } from "./DefaultTabs/UploadTab";
import { EmbedTab } from "./DefaultTabs/EmbedTab";
/**
 * By default, the ImageToolbar component will render with default tabs.
 * However, you can override the tabs to render by passing the `tabs` prop. You
 * can use the default tab panels in the `DefaultTabPanels` directory or make
 * your own using the `ImageToolbarPanel` component.
 */
export const ImagePanel = (props) => {
    const editor = useBlockNoteEditor();
    const [openTab, setOpenTab] = useState("default");
    const [loading, setLoading] = useState(false);
    return (_jsx(Group, { className: "bn-image-panel", children: props.children !== undefined ? (props.children) : (_jsxs(Tabs, { value: openTab, onChange: setOpenTab, children: [loading && _jsx(LoadingOverlay, { visible: loading }), _jsxs(Tabs.List, { children: [editor.uploadFile !== undefined && (_jsx(Tabs.Tab, { value: "default", "data-test": "upload-tab", children: "Upload" })), _jsx(Tabs.Tab, { value: editor.uploadFile === undefined ? "default" : "embed", "data-test": "embed-tab", children: "Embed" })] }), editor.uploadFile !== undefined && (_jsx(Tabs.Panel, { className: "bn-upload-image-panel", value: "default", children: _jsx(UploadTab, { block: props.block, setLoading: setLoading }) })), _jsx(Tabs.Panel, { className: "bn-embed-image-panel", value: editor.uploadFile === undefined ? "default" : "embed", children: _jsx(EmbedTab, { block: props.block }) })] })) }));
};
//# sourceMappingURL=ImagePanel.js.map