import { jsx as _jsx } from "react/jsx-runtime";
import { flip, offset } from "@floating-ui/react";
import { useBlockNoteEditor } from "../../hooks/useBlockNoteEditor";
import { useUIElementPositioning } from "../../hooks/useUIElementPositioning";
import { useUIPluginState } from "../../hooks/useUIPluginState";
import { LinkToolbar } from "./mantine/LinkToolbar";
export const LinkToolbarController = (props) => {
    const editor = useBlockNoteEditor();
    const callbacks = {
        deleteLink: editor.linkToolbar.deleteLink,
        editLink: editor.linkToolbar.editLink,
        startHideTimer: editor.linkToolbar.startHideTimer,
        stopHideTimer: editor.linkToolbar.stopHideTimer,
    };
    const state = useUIPluginState(editor.linkToolbar.onUpdate.bind(editor.linkToolbar));
    const { isMounted, ref, style } = useUIElementPositioning(state?.show || false, state?.referencePos || null, 4000, {
        placement: "top-start",
        middleware: [offset(10), flip()],
    });
    if (!isMounted || !state) {
        return null;
    }
    const { show, referencePos, ...data } = state;
    const Component = props.linkToolbar || LinkToolbar;
    return (_jsx("div", { ref: ref, style: style, children: _jsx(Component, { ...data, ...callbacks }) }));
};
//# sourceMappingURL=LinkToolbarController.js.map