import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import { useCallback, useEffect, useState, } from "react";
import { RiLink, RiText } from "react-icons/ri";
import { ToolbarInputsMenuItem } from "../../mantine-shared/Toolbar/ToolbarInputsMenuItem";
export const EditLinkMenuItems = (props) => {
    const { url, text, editLink } = props;
    const [currentUrl, setCurrentUrl] = useState(url);
    const [currentText, setCurrentText] = useState(text);
    useEffect(() => {
        setCurrentUrl(url);
        setCurrentText(text);
    }, [text, url]);
    const handleEnter = useCallback((event) => {
        if (event.key === "Enter") {
            event.preventDefault();
            editLink(currentUrl, currentText);
        }
    }, [editLink, currentUrl, currentText]);
    const handleUrlChange = useCallback((event) => setCurrentUrl(event.currentTarget.value), []);
    const handleTextChange = useCallback((event) => setCurrentText(event.currentTarget.value), []);
    const handleSubmit = useCallback(() => editLink(currentUrl, currentText), [editLink, currentUrl, currentText]);
    return (_jsxs(_Fragment, { children: [_jsx(ToolbarInputsMenuItem, { type: "text", icon: RiLink, autoFocus: true, placeholder: "Edit URL", value: currentUrl, onKeyDown: handleEnter, onChange: handleUrlChange, onSubmit: handleSubmit }), _jsx(ToolbarInputsMenuItem, { type: "text", icon: RiText, placeholder: "Edit Title", value: currentText, onKeyDown: handleEnter, onChange: handleTextChange, onSubmit: handleSubmit })] }));
};
//# sourceMappingURL=EditLinkMenuItems.js.map