import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Toolbar } from "../../mantine-shared/Toolbar/Toolbar";
import { EditLinkButton } from "./DefaultButtons/EditLinkButton";
import { OpenLinkButton } from "./DefaultButtons/OpenLinkButton";
import { DeleteLinkButton } from "./DefaultButtons/DeleteLinkButton";
/**
 * By default, the LinkToolbar component will render with default buttons.
 * However, you can override the selects/buttons to render by passing
 * children. The children you pass should be:
 *
 * - Default buttons: Components found within the `/DefaultButtons` directory.
 * - Custom selects: The `ToolbarSelect` component in the
 * `components/mantine-shared/Toolbar` directory.
 * - Custom buttons: The `ToolbarButton` component in the
 * `components/mantine-shared/Toolbar` directory.
 */
export const LinkToolbar = (props) => {
    if (props.children) {
        return _jsx(Toolbar, { children: props.children });
    }
    return (_jsxs(Toolbar, { onMouseEnter: props.stopHideTimer, onMouseLeave: props.startHideTimer, children: [_jsx(EditLinkButton, { url: props.url, text: props.text, editLink: props.editLink }), _jsx(OpenLinkButton, { url: props.url }), _jsx(DeleteLinkButton, { deleteLink: props.deleteLink })] }));
};
//# sourceMappingURL=LinkToolbar.js.map