import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { checkBlockHasDefaultProp, checkBlockTypeHasDefaultProp, } from "@blocknote/core";
import { Box, Menu } from "@mantine/core";
import { useCallback, useRef, useState } from "react";
import { HiChevronRight } from "react-icons/hi";
import { useBlockNoteEditor } from "../../../../../hooks/useBlockNoteEditor";
import { usePreventMenuOverflow } from "../../../../../hooks/usePreventMenuOverflow";
import { ColorPicker } from "../../../../mantine-shared/ColorPicker/ColorPicker";
import { DragHandleMenuItem } from "../DragHandleMenuItem";
export const BlockColorsItem = (props) => {
    const editor = useBlockNoteEditor();
    const [opened, setOpened] = useState(false);
    const { ref, updateMaxHeight } = usePreventMenuOverflow();
    const menuCloseTimer = useRef();
    const startMenuCloseTimer = useCallback(() => {
        if (menuCloseTimer.current) {
            clearTimeout(menuCloseTimer.current);
        }
        menuCloseTimer.current = setTimeout(() => {
            setOpened(false);
        }, 250);
    }, []);
    const stopMenuCloseTimer = useCallback(() => {
        if (menuCloseTimer.current) {
            clearTimeout(menuCloseTimer.current);
        }
        if (!opened) {
            updateMaxHeight();
        }
        setOpened(true);
    }, [opened, updateMaxHeight]);
    if (!checkBlockTypeHasDefaultProp("textColor", props.block.type, editor) &&
        !checkBlockTypeHasDefaultProp("backgroundColor", props.block.type, editor)) {
        return null;
    }
    return (_jsx(DragHandleMenuItem, { onMouseLeave: startMenuCloseTimer, onMouseOver: stopMenuCloseTimer, children: _jsxs(Menu, { withinPortal: false, opened: opened, position: "right", children: [_jsx(Menu.Target, { children: _jsxs("div", { style: { display: "flex", alignItems: "center" }, children: [_jsx("div", { style: { flex: 1 }, children: props.children }), _jsx(Box, { style: { display: "flex", alignItems: "center" }, children: _jsx(HiChevronRight, { size: 15 }) })] }) }), _jsx("div", { ref: ref, children: _jsx(Menu.Dropdown, { onMouseLeave: startMenuCloseTimer, onMouseOver: stopMenuCloseTimer, style: { marginLeft: "5px" }, children: _jsx(ColorPicker, { iconSize: 18, text: checkBlockTypeHasDefaultProp("textColor", props.block.type, editor) && checkBlockHasDefaultProp("textColor", props.block, editor)
                                ? {
                                    color: props.block.props.textColor,
                                    setColor: (color) => editor.updateBlock(props.block, {
                                        type: props.block.type,
                                        props: { textColor: color },
                                    }),
                                }
                                : undefined, background: checkBlockTypeHasDefaultProp("backgroundColor", props.block.type, editor) &&
                                checkBlockHasDefaultProp("backgroundColor", props.block, editor)
                                ? {
                                    color: props.block.props.backgroundColor,
                                    setColor: (color) => editor.updateBlock(props.block, {
                                        props: { backgroundColor: color },
                                    }),
                                }
                                : undefined }) }) })] }) }));
};
//# sourceMappingURL=BlockColorsItem.js.map