import { jsx as _jsx } from "react/jsx-runtime";
import { useBlockNoteEditor } from "../../hooks/useBlockNoteEditor";
import { useUIElementPositioning } from "../../hooks/useUIElementPositioning";
import { useUIPluginState } from "../../hooks/useUIPluginState";
import { SideMenu } from "./mantine/SideMenu";
export const SideMenuController = (props) => {
    const editor = useBlockNoteEditor();
    const callbacks = {
        addBlock: editor.sideMenu.addBlock,
        blockDragStart: editor.sideMenu.blockDragStart,
        blockDragEnd: editor.sideMenu.blockDragEnd,
        freezeMenu: editor.sideMenu.freezeMenu,
        unfreezeMenu: editor.sideMenu.unfreezeMenu,
    };
    const state = useUIPluginState(editor.sideMenu.onUpdate.bind(editor.sideMenu));
    const { isMounted, ref, style } = useUIElementPositioning(state?.show || false, state?.referencePos || null, 1000, {
        placement: "left",
    });
    if (!isMounted || !state) {
        return null;
    }
    const { show, referencePos, ...data } = state;
    const Component = props.sideMenu || SideMenu;
    return (_jsx("div", { ref: ref, style: style, children: _jsx(Component, { ...data, ...callbacks }) }));
};
//# sourceMappingURL=SideMenuController.js.map