import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import { Group } from "@mantine/core";
import { AddBlockButton } from "./DefaultButtons/AddBlockButton";
import { DragHandleButton } from "./DefaultButtons/DragHandleButton";
// TODO: props.dragHandleMenu should only be available if no children are passed
/**
 * By default, the SideMenu component will render with default buttons. However,
 * you can override the buttons to render by passing children. The children you
 * pass should be:
 *
 * - Default buttons: Components found within the `/DefaultButtons` directory.
 * - Custom buttons: The `SideMenuButton` component.
 */
export const SideMenu = (props) => {
    const { addBlock, ...rest } = props;
    return (_jsx(Group, { className: "bn-side-menu", gap: 0, children: props.children || (_jsxs(_Fragment, { children: [_jsx(AddBlockButton, { addBlock: addBlock }), _jsx(DragHandleButton, { ...rest })] })) }));
};
//# sourceMappingURL=SideMenu.js.map