import { jsx as _jsx } from "react/jsx-runtime";
/* eslint-disable @typescript-eslint/no-unused-vars */
import { it } from "vitest";
import { SuggestionMenuController } from "./SuggestionMenuController";
it("has good typing", () => {
    // invalid, because DefaultSuggestionItem doesn't have a title property, so the default MantineSuggestionMenu doesn't wrok
    let menu = (
    // @ts-expect-error
    _jsx(SuggestionMenuController, { getItems: async () => [{ name: "hello" }], triggerCharacter: "/" }));
    // valid, because getItems returns DefaultSuggestionItem so suggestionMenuComponent is optional
    menu = (_jsx(SuggestionMenuController, { getItems: async () => [
            {
                title: "hello",
                onItemClick: () => {
                    return;
                },
            },
        ], triggerCharacter: "/" }));
    // validate type of onItemClick
    menu = (_jsx(SuggestionMenuController, { suggestionMenuComponent: undefined, getItems: async () => [{ hello: "hello" }], onItemClick: (item) => {
            console.log(item.hello);
        }, triggerCharacter: "/" }));
    // prevent typescript unused error
    console.log("menu", menu);
});
//# sourceMappingURL=SuggestionMenu.test.js.map