import { jsx as _jsx } from "react/jsx-runtime";
import { useCallback } from "react";
import { useBlockNoteEditor } from "../../hooks/useBlockNoteEditor";
import { useCloseSuggestionMenuNoItems } from "./hooks/useCloseSuggestionMenuNoItems";
import { useLoadSuggestionMenuItems } from "./hooks/useLoadSuggestionMenuItems";
import { useSuggestionMenuKeyboardNavigation } from "./hooks/useSuggestionMenuKeyboardNavigation";
export function SuggestionMenuWrapper(props) {
    const editor = useBlockNoteEditor();
    const { getItems, suggestionMenuComponent, query, clearQuery, closeMenu, onItemClick, } = props;
    const onItemClickCloseMenu = useCallback((item) => {
        closeMenu();
        clearQuery();
        onItemClick?.(item);
    }, [onItemClick, closeMenu, clearQuery]);
    const { items, usedQuery, loadingState } = useLoadSuggestionMenuItems(query, getItems);
    useCloseSuggestionMenuNoItems(items, usedQuery, closeMenu);
    const selectedIndex = useSuggestionMenuKeyboardNavigation(editor, items, closeMenu, onItemClickCloseMenu);
    const Component = suggestionMenuComponent;
    return (_jsx(Component, { items: items, onItemClick: onItemClickCloseMenu, loadingState: loadingState, selectedIndex: selectedIndex }));
}
//# sourceMappingURL=SuggestionMenuWrapper.js.map