import { jsx as _jsx } from "react/jsx-runtime";
import { TableHandleMenuItem } from "../TableHandleMenuItem";
import { useBlockNoteEditor } from "../../../../../hooks/useBlockNoteEditor";
export const AddRowButton = (props) => {
    const editor = useBlockNoteEditor();
    return (_jsx(TableHandleMenuItem, { onClick: () => {
            const emptyCol = props.block.content.rows[props.index].cells.map(() => []);
            const rows = [...props.block.content.rows];
            rows.splice(props.index + (props.side === "below" ? 1 : 0), 0, {
                cells: emptyCol,
            });
            editor.updateBlock(props.block, {
                type: "table",
                content: {
                    type: "tableContent",
                    rows,
                },
            });
        }, children: `Add row ${props.side}` }));
};
export const AddColumnButton = (props) => {
    const editor = useBlockNoteEditor();
    return (_jsx(TableHandleMenuItem, { onClick: () => {
            const content = {
                type: "tableContent",
                rows: props.block.content.rows.map((row) => {
                    const cells = [...row.cells];
                    cells.splice(props.index + (props.side === "right" ? 1 : 0), 0, []);
                    return { cells };
                }),
            };
            editor.updateBlock(props.block, {
                type: "table",
                content: content,
            });
        }, children: `Add column ${props.side}` }));
};
export const AddButton = (props) => props.orientation === "row" ? (_jsx(AddRowButton, { ...props, side: props.side })) : (_jsx(AddColumnButton, { ...props, side: props.side }));
//# sourceMappingURL=AddButton.js.map