import { jsx as _jsx } from "react/jsx-runtime";
import { TableHandleMenuItem } from "../TableHandleMenuItem";
import { useBlockNoteEditor } from "../../../../../hooks/useBlockNoteEditor";
export const DeleteRowButton = (props) => {
    const editor = useBlockNoteEditor();
    return (_jsx(TableHandleMenuItem, { onClick: () => {
            const content = {
                type: "tableContent",
                rows: props.block.content.rows.filter((_, index) => index !== props.index),
            };
            editor.updateBlock(props.block, {
                type: "table",
                content,
            });
        }, children: "Delete row" }));
};
export const DeleteColumnButton = (props) => {
    const editor = useBlockNoteEditor();
    return (_jsx(TableHandleMenuItem, { onClick: () => {
            const content = {
                type: "tableContent",
                rows: props.block.content.rows.map((row) => ({
                    cells: row.cells.filter((_, index) => index !== props.index),
                })),
            };
            editor.updateBlock(props.block, {
                type: "table",
                content,
            });
        }, children: "Delete column" }));
};
export const DeleteButton = (props) => props.orientation === "row" ? (_jsx(DeleteRowButton, { ...props })) : (_jsx(DeleteColumnButton, { ...props }));
//# sourceMappingURL=DeleteButton.js.map