import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { mergeCSSClasses, } from "@blocknote/core";
import { Menu } from "@mantine/core";
import { useState } from "react";
import { MdDragIndicator } from "react-icons/md";
import { TableHandleMenu } from "../TableHandleMenu/mantine/TableHandleMenu";
/**
 * By default, the TableHandle component will render with the default icon.
 * However, you can override the icon to render by passing children.
 */
export const TableHandle = (props) => {
    const [isDragging, setIsDragging] = useState(false);
    const Component = props.tableHandleMenu || TableHandleMenu;
    return (_jsxs(Menu, { withinPortal: false, trigger: "click", onOpen: () => {
            props.freezeHandles();
            props.hideOtherSide();
        }, onClose: () => {
            props.unfreezeHandles();
            props.showOtherSide();
        }, position: "right", children: [_jsx(Menu.Target, { children: _jsx("div", { className: mergeCSSClasses("bn-table-handle", isDragging ? "bn-table-handle-dragging" : ""), draggable: "true", onDragStart: (e) => {
                        setIsDragging(true);
                        props.dragStart(e);
                    }, onDragEnd: () => {
                        props.dragEnd();
                        setIsDragging(false);
                    }, style: props.orientation === "column"
                        ? { transform: "rotate(0.25turn)" }
                        : undefined, children: props.children || (_jsx(MdDragIndicator, { size: 24, "data-test": "tableHandle" })) }) }), _jsx(Component, { orientation: props.orientation, block: props.block, index: props.index })] }));
};
//# sourceMappingURL=TableHandle.js.map