import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { ActionIcon, Button, Tooltip } from "@mantine/core";
import { forwardRef } from "react";
import { isSafari } from "@blocknote/core";
import { TooltipContent } from "../Tooltip/TooltipContent";
/**
 * Helper for basic buttons that show in the formatting toolbar.
 */
export const ToolbarButton = forwardRef((props, ref) => {
    const ButtonIcon = props.icon;
    return (_jsx(Tooltip, { withinPortal: false, label: _jsx(TooltipContent, { mainTooltip: props.mainTooltip, secondaryTooltip: props.secondaryTooltip }), children: props.children ? (_jsxs(Button
        // Needed as Safari doesn't focus button elements on mouse down
        // unlike other browsers.
        , { 
            // Needed as Safari doesn't focus button elements on mouse down
            // unlike other browsers.
            onMouseDown: (e) => {
                if (isSafari()) {
                    e.currentTarget.focus();
                }
            }, onClick: props.onClick, "data-selected": props.isSelected ? "true" : undefined, "data-test": props.mainTooltip.slice(0, 1).toLowerCase() +
                props.mainTooltip.replace(/\s+/g, "").slice(1), size: "xs", disabled: props.isDisabled || false, ref: ref, children: [ButtonIcon && _jsx(ButtonIcon, {}), props.children] })) : (_jsx(ActionIcon
        // Needed as Safari doesn't focus button elements on mouse down
        // unlike other browsers.
        , { 
            // Needed as Safari doesn't focus button elements on mouse down
            // unlike other browsers.
            onMouseDown: (e) => {
                if (isSafari()) {
                    e.currentTarget.focus();
                }
            }, onClick: props.onClick, "data-selected": props.isSelected ? "true" : undefined, "data-test": props.mainTooltip.slice(0, 1).toLowerCase() +
                props.mainTooltip.replace(/\s+/g, "").slice(1), size: 30, disabled: props.isDisabled || false, ref: ref, children: ButtonIcon && _jsx(ButtonIcon, {}) })) }));
});
//# sourceMappingURL=ToolbarButton.js.map