import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Button, Menu } from "@mantine/core";
import { usePreventMenuOverflow } from "../../../hooks/usePreventMenuOverflow";
import { ToolbarSelectItem } from "./ToolbarSelectItem";
import { isSafari } from "@blocknote/core";
import { HiChevronDown } from "react-icons/hi";
export function ToolbarSelect(props) {
    const selectedItem = props.items.filter((p) => p.isSelected)[0];
    const { ref, updateMaxHeight } = usePreventMenuOverflow();
    if (!selectedItem) {
        return null;
    }
    const Icon = selectedItem.icon;
    return (_jsxs(Menu, { withinPortal: false, transitionProps: {
            exitDuration: 0,
        }, disabled: props.isDisabled, onOpen: updateMaxHeight, children: [_jsx(Menu.Target, { children: _jsx(Button
                // Needed as Safari doesn't focus button elements on mouse down
                // unlike other browsers.
                , { 
                    // Needed as Safari doesn't focus button elements on mouse down
                    // unlike other browsers.
                    onMouseDown: (e) => {
                        if (isSafari()) {
                            e.currentTarget.focus();
                        }
                    }, leftSection: Icon && _jsx(Icon, { size: 16 }), rightSection: _jsx(HiChevronDown, {}), size: "xs", variant: "subtle", disabled: props.isDisabled, children: selectedItem.text }) }), _jsx("div", { ref: ref, children: _jsx(Menu.Dropdown, { children: props.items.map((item) => (_jsx(ToolbarSelectItem, { ...item }, item.text))) }) })] }));
}
//# sourceMappingURL=ToolbarSelect.js.map