import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import { filterSuggestionItems } from "@blocknote/core";
import { FormattingToolbarController } from "../components/FormattingToolbar/FormattingToolbarController";
import { LinkToolbarController } from "../components/LinkToolbar/LinkToolbarController";
import { ImagePanelController } from "../components/ImagePanel/ImagePanelController";
import { SideMenuController } from "../components/SideMenu/SideMenuController";
import { getDefaultReactSlashMenuItems } from "../components/SuggestionMenu/getDefaultReactSlashMenuItems";
import { SuggestionMenuController } from "../components/SuggestionMenu/SuggestionMenuController";
import { TableHandlesController } from "../components/TableHandles/TableHandlesController";
import { useBlockNoteEditor } from "../hooks/useBlockNoteEditor";
export function BlockNoteDefaultUI(props) {
    const editor = useBlockNoteEditor();
    if (!editor) {
        throw new Error("BlockNoteDefaultUI must be used within a BlockNoteContext.Provider");
    }
    return (_jsxs(_Fragment, { children: [props.formattingToolbar !== false && _jsx(FormattingToolbarController, {}), props.linkToolbar !== false && _jsx(LinkToolbarController, {}), props.slashMenu !== false && (_jsx(SuggestionMenuController, { getItems: async (query) => filterSuggestionItems(getDefaultReactSlashMenuItems(editor), query), 
                // suggestionMenuComponent={MantineSuggestionMenu}
                onItemClick: (item) => {
                    item.onItemClick();
                }, triggerCharacter: "/" })), props.sideMenu !== false && _jsx(SideMenuController, {}), editor.imagePanel && props.imageToolbar !== false && (_jsx(ImagePanelController, {})), editor.tableHandles && props.tableHandles !== false && (_jsx(TableHandlesController, {}))] }));
}
//# sourceMappingURL=BlockNoteDefaultUI.js.map