import { useBlockNoteContext } from "../editor/BlockNoteContext";
/**
 * Get the BlockNoteEditor instance from the nearest BlockNoteContext provider
 * @param _schema: optional, pass in the schema to return type-safe BlockNoteEditor if you're using a custom schema
 */
export function useBlockNoteEditor(_schema) {
    const context = useBlockNoteContext(_schema);
    if (!context?.editor) {
        throw new Error("useBlockNoteEditor was called outside of a BlockNoteContext provider or BlockNoteView component");
    }
    return context.editor;
}
//# sourceMappingURL=useBlockNoteEditor.js.map