import { useState } from "react";
import { useBlockNoteContext } from "../editor/BlockNoteContext";
import { useEditorContentOrSelectionChange } from "./useEditorContentOrSelectionChange";
export function useSelectedBlocks(editor) {
    const editorContext = useBlockNoteContext();
    if (!editor) {
        editor = editorContext?.editor;
    }
    if (!editor) {
        throw new Error("'editor' is required, either from BlockNoteContext or as a function argument");
    }
    const e = editor;
    const [selectedBlocks, setSelectedBlocks] = useState(() => e.getSelection()?.blocks || [e.getTextCursorPosition().block]);
    useEditorContentOrSelectionChange(() => setSelectedBlocks(e.getSelection()?.blocks || [e.getTextCursorPosition().block]), e);
    return selectedBlocks;
}
//# sourceMappingURL=useSelectedBlocks.js.map