import { ReactNode } from "react";
import { SideMenuProps } from "../SideMenuProps";
/**
 * By default, the SideMenu component will render with default buttons. However,
 * you can override the buttons to render by passing children. The children you
 * pass should be:
 *
 * - Default buttons: Components found within the `/DefaultButtons` directory.
 * - Custom buttons: The `SideMenuButton` component.
 */
export declare const SideMenu: <BSchema extends BlockSchema = DefaultBlockSchema, I extends InlineContentSchema = DefaultInlineContentSchema, S extends StyleSchema = DefaultStyleSchema>(props: SideMenuProps<BSchema, I, S> & {
    children?: ReactNode;
}) => import("react/jsx-runtime").JSX.Element;
