import { BlockFromConfig, BlockNoteEditor, BlockSchemaWithBlock, CustomBlockConfig, InlineContentSchema, PartialBlockFromConfig, Props, PropSchema, StyleSchema } from "@blocknote/core";
import { FC, ReactNode } from "react";
export type ReactCustomBlockImplementation<T extends CustomBlockConfig, I extends InlineContentSchema, S extends StyleSchema> = {
    render: FC<{
        block: BlockFromConfig<T, I, S>;
        editor: BlockNoteEditor<BlockSchemaWithBlock<T["type"], T>, I, S>;
        contentRef: (node: HTMLElement | null) => void;
    }>;
    toExternalHTML?: FC<{
        block: BlockFromConfig<T, I, S>;
        editor: BlockNoteEditor<BlockSchemaWithBlock<T["type"], T>, I, S>;
        contentRef: (node: HTMLElement | null) => void;
    }>;
    parse?: (el: HTMLElement) => PartialBlockFromConfig<T, I, S>["props"] | undefined;
};
export declare function BlockContentWrapper<BType extends string, PSchema extends PropSchema>(props: {
    blockType: BType;
    blockProps: Props<PSchema>;
    propSchema: PSchema;
    domAttributes?: Record<string, string>;
    children: ReactNode;
}): import("react/jsx-runtime").JSX.Element;
export declare function createReactBlockSpec<T extends CustomBlockConfig, I extends InlineContentSchema, S extends StyleSchema>(blockConfig: T, blockImplementation: ReactCustomBlockImplementation<T, I, S>): any;
